in scala.actors.distributed
class NetKernel

`class` NetKernel
  `extends` java.lang.Object
  `with` scala.ScalaObject

author:
  Philipp Haller

Constructor Summary
| `def` this ( service : scala.actors.distributed.Service )

Def Summary
| `def` addConstructor ( key : java.lang.String , value : () => scala.actors.distributed.RemoteActor ) : scala.Unit
| `def` disconnectNode ( n : scala.actors.distributed.Node ) : scala.Unit
| `def` exit ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid , reason : scala.Symbol ) : scala.Unit
| `def` exit ( pid : scala.actors.distributed.RemotePid , reason : scala.Symbol ) : scala.Unit
| `def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit
| `def` getLocalRef ( locId : scala.Int ) : scala.actors.distributed.RemoteActor
| `def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit only called if destDesc is local.
| `def` link ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid ) : scala.Unit
| `def` localSend ( localId : scala.Int , msg : scala.Any ) : scala.Unit
| `def` localSend ( pid : scala.actors.distributed.RemotePid , msg : scala.Any ) : scala.Unit
| `def` monitorNode ( client : scala.actors.distributed.RemotePid , mnode : scala.actors.distributed.Node , cond : scala.Boolean ) : scala.Unit
| `def` namedSend ( name : scala.actors.distributed.Name , msg : java.lang.Object ) : scala.Unit
| `def` node : scala.actors.distributed.Node
| `def` nodeDown ( mnode : scala.actors.distributed.Node ) : scala.Unit
| `def` nodes : scala.List[scala.actors.distributed.Node]
| `def` pidOf ( actor : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid
| `def` processFlag ( pid : scala.actors.distributed.RemotePid , flag : scala.Symbol , set : scala.Boolean ) : scala.Unit
| `def` processMsg ( msg : java.lang.Object ) : scala.Unit
| `def` register ( newProc : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid
| `def` registerName ( name : scala.Symbol , a : scala.actors.distributed.RemoteActor ) : scala.Unit
| `def` registerName ( name : scala.Symbol , pid : scala.actors.distributed.RemotePid ) : scala.Unit
| `def` registerSerializer ( index : java.lang.String , rep : (scala.actors.distributed.Serializer) => java.lang.Object ) : scala.Unit
| `def` remoteSend ( pid : scala.actors.distributed.RemotePid , msg : scala.Any ) : scala.Unit
| `def` sendToNode ( node : scala.actors.distributed.Node , msg : java.lang.Object ) : scala.Unit
| `def` spawn ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid
| `def` spawn ( name : java.lang.String , arg : scala.actors.distributed.RemotePid ) : scala.actors.distributed.RemotePid
| `def` spawn ( pname : java.lang.String ) : scala.actors.distributed.RemotePid
| `def` spawn ( replyTo : scala.actors.distributed.RemotePid , node : scala.actors.distributed.Node , a : scala.actors.distributed.RemoteActor ) : scala.Unit
| `def` spawn ( replyTo : scala.actors.distributed.RemotePid , node : scala.actors.distributed.Node , name : java.lang.String ) : scala.actors.distributed.RemotePid
| `def` spawnLink ( pid : scala.actors.distributed.RemotePid , fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid
| `def` unlink ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid ) : scala.Unit

Constructor Detail

`def` this ( service : scala.actors.distributed.Service )

Def Detail

`def` addConstructor ( key : java.lang.String , value : () => scala.actors.distributed.RemoteActor ) : scala.Unit

`def` disconnectNode ( n : scala.actors.distributed.Node ) : scala.Unit

`def` exit ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid , reason : scala.Symbol ) : scala.Unit

`def` exit ( pid : scala.actors.distributed.RemotePid , reason : scala.Symbol ) : scala.Unit

`def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

`def` getLocalRef ( locId : scala.Int ) : scala.actors.distributed.RemoteActor

`def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

  only called if destDesc is local.

`def` link ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid ) : scala.Unit

`def` localSend ( localId : scala.Int , msg : scala.Any ) : scala.Unit

`def` localSend ( pid : scala.actors.distributed.RemotePid , msg : scala.Any ) : scala.Unit

`def` monitorNode ( client : scala.actors.distributed.RemotePid , mnode : scala.actors.distributed.Node , cond : scala.Boolean ) : scala.Unit

`def` namedSend ( name : scala.actors.distributed.Name , msg : java.lang.Object ) : scala.Unit

`def` node : scala.actors.distributed.Node

`def` nodeDown ( mnode : scala.actors.distributed.Node ) : scala.Unit

`def` nodes : scala.List[scala.actors.distributed.Node]

`def` pidOf ( actor : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid

`def` processFlag ( pid : scala.actors.distributed.RemotePid , flag : scala.Symbol , set : scala.Boolean ) : scala.Unit

`def` processMsg ( msg : java.lang.Object ) : scala.Unit

`def` register ( newProc : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid

`def` registerName ( name : scala.Symbol , a : scala.actors.distributed.RemoteActor ) : scala.Unit

`def` registerName ( name : scala.Symbol , pid : scala.actors.distributed.RemotePid ) : scala.Unit

`def` registerSerializer ( index : java.lang.String , rep : (scala.actors.distributed.Serializer) => java.lang.Object ) : scala.Unit

`def` remoteSend ( pid : scala.actors.distributed.RemotePid , msg : scala.Any ) : scala.Unit

`def` sendToNode ( node : scala.actors.distributed.Node , msg : java.lang.Object ) : scala.Unit

`def` spawn ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid

`def` spawn ( name : java.lang.String , arg : scala.actors.distributed.RemotePid ) : scala.actors.distributed.RemotePid

`def` spawn ( pname : java.lang.String ) : scala.actors.distributed.RemotePid

`def` spawn ( replyTo : scala.actors.distributed.RemotePid , node : scala.actors.distributed.Node , a : scala.actors.distributed.RemoteActor ) : scala.Unit

`def` spawn ( replyTo : scala.actors.distributed.RemotePid , node : scala.actors.distributed.Node , name : java.lang.String ) : scala.actors.distributed.RemotePid

`def` spawnLink ( pid : scala.actors.distributed.RemotePid , fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid

`def` unlink ( from : scala.actors.distributed.RemotePid , to : scala.actors.distributed.RemotePid ) : scala.Unit